package com.abbidot.tracker.ui.activity.account

import com.abbidot.baselibrary.constant.MMKVKey
import com.abbidot.tracker.R
import com.abbidot.tracker.ui.fragment.account.EmailValidFragment
import com.abbidot.tracker.ui.fragment.account.ForgotPasswordV2OneFragment
import com.abbidot.tracker.ui.fragment.account.ForgotPasswordV2ThereFragment

/**
 *Created  by .yzq on 2024/8/2/002.
 * @link
 * @description:
 */
class ForgotPasswordV2Activity : AddEmailValidActivity() {

    override fun initData() {
        intent.extras?.apply {
            mUserEmail = getString(MMKVKey.Email, "")
        }
        mEmailValidFragment = EmailValidFragment.newInstance(mContext, 2) {
            switchFragment(2)
        }
        mFragmentList = mutableListOf(
            ForgotPasswordV2OneFragment.newInstance(
                mContext, getString(R.string.txt_change_pwd), 2
            ), mEmailValidFragment, ForgotPasswordV2ThereFragment.newInstance(mContext)
        )
        super.initData()
    }

}